### Enumeration

# GtkSource SmartHomeEndType

#### Declaration

    enum GtkSource.SmartHomeEndType

#### Description

No description available.

#### Members

Name | Description
--- | ---
`GTK_SOURCE_SMART_HOME_END_DISABLED` | Smart-home-end disabled.
`GTK_SOURCE_SMART_HOME_END_BEFORE` | Move to the first/last non-whitespace character on the first press of the HOME/END keys and to the beginning/end of the line on the second press.
`GTK_SOURCE_SMART_HOME_END_AFTER` | Move to the beginning/end of the line on the first press of the HOME/END keys and to the first/last non-whitespace character on the second press.
`GTK_SOURCE_SMART_HOME_END_ALWAYS` | Always move to the first/last non-whitespace character when the HOME/END keys are pressed.